AM_CPPFLAGS = -DKDE_NO_COMPAT $(all_includes)

update_DATA = kopete-pluginloader.upd kopete-account-tdeconf_update.upd \
	kopete-pluginloader2.upd kopete-jabberproxytype-tdeconf_update.upd \
	kopete-jabberpriorityaddition-tdeconf_update.upd kopete-nameTracking.upd
update_SCRIPTS = kopete-pluginloader.pl kopete-account-tdeconf_update.sh \
	kopete-pluginloader2.sh kopete-jabberproxytype-tdeconf_update.sh \
	kopete-jabberpriorityaddition-tdeconf_update.sh kopete-account-0.10.pl
updatedir = $(kde_datadir)/tdeconf_update

# The Qt app cannot go into kde_datadir, that is not portable.
# install to kde_bindir/tdeconf_update_bin instead.
# KDE 3.2 will allow tdeconf_update scripts to run directly from there,
# but for us that's too late. Use the .sh script as a workaround.
tdeconf_PROGRAMS = kopete-account-tdeconf_update kopete-pluginloader2-tdeconf_update \
	kopete-nameTracking-tdeconf_update
tdeconfdir = $(libdir)/tdeconf_update_bin

kopete_account_tdeconf_update_SOURCES = kopete-account-tdeconf_update.cpp
kopete_account_tdeconf_update_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
kopete_account_tdeconf_update_LDADD = $(LIB_TQT)

kopete_pluginloader2_tdeconf_update_SOURCES = kopete-pluginloader2.cpp
kopete_pluginloader2_tdeconf_update_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
kopete_pluginloader2_tdeconf_update_LDADD = $(LIB_TQT)

kopete_nameTracking_tdeconf_update_SOURCES = kopete-nameTracking.cpp
kopete_nameTracking_tdeconf_update_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
kopete_nameTracking_tdeconf_update_LDADD = $(LIB_TQT) $(LIB_TDECORE)
